@import "variables";

@import "~bootstrap/scss/bootstrap-grid";

/*
xs: 16px,
sm: 16px,
md: 24px,
lg: 24px,
xl: 24px
*/

.container, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
  width: calc(100% - 44px);// 30+30=60 | 8+8=16 | 60-16=44
  @media (min-width: $bootstrap-sm) {
    width: calc(100% - 104px);// 60+60=120 | 8+8=16 | 120-16=104
  }
  @media (min-width: $bootstrap-md) {
    width: calc(100% - 96px);// 60+60=120 | 12+12=24 | 120-24=96
  }
  @media (min-width: $bootstrap-lg) {
    width: calc(100% - 136px);// 80+80=160 | 12+12=24 | 160-24=136
    max-width: ($bootstrap-lg - 136) ; //step width - side spacing plus gutter (missing in designer grids)
  }
}

@each $grid-breakpoint, $grid-gutter-width in $bootstrap-gutters {
  @include media-breakpoint-up($grid-breakpoint) {
    $grid-gutter-half-width: $grid-gutter-width / 2;
    .row:not(.no-gutters) {
      margin-right: -$grid-gutter-half-width;
      margin-left: -$grid-gutter-half-width;
    }
    .container,
    .container-fluid,
    .container-sm,
    .container-md,
    .container-lg,
    .container-xl,
    .row:not(.no-gutters) > .col,
    .row:not(.no-gutters) > [class*="col-"] {
      padding-right: $grid-gutter-half-width;
      padding-left: $grid-gutter-half-width;
    }
  }
}

.col, [class*="col-"] {
  .container, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
    width:100%;
    padding-left:0;
    padding-right:0;
  }
}



/*.container, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
  @media (min-width: $bootstrap-xs) {
    width: calc(100% - 60px);
  }
  @media (min-width: $bootstrap-sm) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-md) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-lg) {
    width: calc(100% - 160px);
    max-width: $bootstrap-lg;
  }
}*/

/* dobbiamo sovrascrivere i gutter a lg e xl 24 (12+12) */
/*.row:not(.no-gutters) {
  @media (min-width: $bootstrap-md) {
    margin-right: -12px;
    margin-left: -12px;
  }
}*/

/*.container,
.container-fluid,
.row:not(.no-gutters) > .col,
.row:not(.no-gutters) > [class*="col-"] {
  @media (min-width: $bootstrap-md) {
    padding-right: 12px;
    padding-left: 12px;
  }
}*/
